## gate.persist
Class TestPersist

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.persist.TestPersist

All Implemented Interfaces:
  junit.framework.Test

public class TestPersist
extends junit.framework.TestCase

Persistence test class

Field Summary
`private static boolean` `DEBUG` Debug flag
`private static String` `JDBC_URL`
`private static LanguageResource` `uc01_LR`
`private static Long` `uc01_lrID`
`private static LanguageResource` `uc101_LR`
`private static Long` `uc101_lrID`
`private String` `VERY_LONG_STRING`

Fields inherited from class junit.framework.TestCase
`fName`

Constructor Summary
`TestPersist(String name)` Construction

Method Summary
`private Corpus` `createTestCorpus()`
`private Document` `createTestDocument()`
`static void` `main(String[] args)`
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `tearDown()` Put things back as they should be after running tests (reinitialise the CREOLE register).
`void` `testDB_UseCase01()` Test the DS register.
`void` `testDB_UseCase02()`
`void` `testDB_UseCase03()`
`void` `testDB_UseCase04()`
`void` `testDB_UseCase101()` Test the DS register.
`void` `testDB_UseCase102()` Test the DS register.
`void` `testDB_UseCase103()`
`void` `testDelete()` Test LR deletion
`void` `testDSR()` Test the DS register.
`void` `testMultipleLrs()` Test multiple LRs
`void` `testSaveRestore()` Test resource save and restore
`void` `testSimple()` Simple test

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### JDBC_URL

    private static String JDBC_URL

### DEBUG

    private static final boolean DEBUG

  Debug flag

### uc01_lrID

    private static Long uc01_lrID

### uc101_lrID

    private static Long uc101_lrID

### uc01_LR

    private static LanguageResource uc01_LR

### uc101_LR

    private static LanguageResource uc101_LR

### VERY_LONG_STRING

    private final String VERY_LONG_STRING

Constructor Detail

### TestPersist

    public TestPersist(String name)
                throws GateException

  Construction

Method Detail

### setUp

    public void setUp()
               throws Exception

  Fixture set up
  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()
                  throws Exception

  Put things back as they should be after running tests (reinitialise the CREOLE register).
  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testSaveRestore

    public void testSaveRestore()
                         throws Exception

  Test resource save and restore

### testSimple

    public void testSimple()
                    throws Exception

  Simple test

### testMultipleLrs

    public void testMultipleLrs()
                         throws Exception

  Test multiple LRs

### testDelete

    public void testDelete()
                    throws Exception

  Test LR deletion

### testDSR

    public void testDSR()
                 throws Exception

  Test the DS register.

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner

### createTestDocument

    private Document createTestDocument()
                                 throws Exception

### createTestCorpus

    private Corpus createTestCorpus()
                             throws Exception

### testDB_UseCase01

    public void testDB_UseCase01()
                          throws Exception

  Test the DS register.

### testDB_UseCase02

    public void testDB_UseCase02()
                          throws Exception

### testDB_UseCase03

    public void testDB_UseCase03()
                          throws Exception

### testDB_UseCase04

    public void testDB_UseCase04()
                          throws Exception

### testDB_UseCase101

    public void testDB_UseCase101()
                           throws Exception

  Test the DS register.

### testDB_UseCase102

    public void testDB_UseCase102()
                           throws Exception

  Test the DS register.

### testDB_UseCase103

    public void testDB_UseCase103()
                           throws Exception

### main

    public static void main(String[] args)